<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCommonDeviceConfigReq StructType
 * @subpackage Structs
 */
class AddCommonDeviceConfigReq extends APIRequest
{
    /**
     * The commonDeviceConfig
     * @var XCommonDeviceConfig
     */
    public $commonDeviceConfig;
    /**
     * Constructor method for AddCommonDeviceConfigReq
     * @uses AddCommonDeviceConfigReq::setCommonDeviceConfig()
     * @param XCommonDeviceConfig $commonDeviceConfig
     */
    public function __construct(XCommonDeviceConfig $commonDeviceConfig = null)
    {
        $this
            ->setCommonDeviceConfig($commonDeviceConfig);
    }
    /**
     * Get commonDeviceConfig value
     * @return XCommonDeviceConfig|null
     */
    public function getCommonDeviceConfig()
    {
        return $this->commonDeviceConfig;
    }
    /**
     * Set commonDeviceConfig value
     * @param XCommonDeviceConfig $commonDeviceConfig
     * @return AddCommonDeviceConfigReq
     */
    public function setCommonDeviceConfig(XCommonDeviceConfig $commonDeviceConfig = null)
    {
        $this->commonDeviceConfig = $commonDeviceConfig;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCommonDeviceConfigReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
